Package org.gradle.api.component

## Interface SoftwareComponentVariant

- All Superinterfaces:
    `HasAttributes`, `Named`

      public interface SoftwareComponentVariant
      extends HasAttributes, Named

  A software component variant, which has a number of artifacts, dependencies, constraints and capabilities, and that can be published to various formats (Gradle metadata, POM, ivy.xml, ...)
  Since:
    5.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<? extends PublishArtifact>` | `getArtifacts()` |
    `java.util.Set<? extends Capability>` | `getCapabilities()` |
    `java.util.Set<? extends ModuleDependency>` | `getDependencies()` |
    `java.util.Set<? extends DependencyConstraint>` | `getDependencyConstraints()` |
    `java.util.Set<ExcludeRule>` | `getGlobalExcludes()` |

    - ### Methods inherited from interface org.gradle.api.attributes.HasAttributes

      `getAttributes`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getArtifacts

          java.util.Set<? extends PublishArtifact> getArtifacts()

    - #### getDependencies

          java.util.Set<? extends ModuleDependency> getDependencies()

    - #### getDependencyConstraints

          java.util.Set<? extends DependencyConstraint> getDependencyConstraints()

    - #### getCapabilities

          java.util.Set<? extends Capability> getCapabilities()

    - #### getGlobalExcludes

          java.util.Set<ExcludeRule> getGlobalExcludes()